commit:     8c95dbfd40f83ded759fae4c8c67c2136d7239b8
Author:     Naohiro Aota <naota <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 10:20:20 2016 +0000
Commit:     Naohiro Aota <naota <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 10:20:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c95dbfd

dev-ruby/totoridipjp: add new package

Package-Manager: portage-2.2.27

 dev-ruby/totoridipjp/Manifest                 |  1 +
 dev-ruby/totoridipjp/metadata.xml             | 11 +++++++++++
 dev-ruby/totoridipjp/totoridipjp-0.1.0.ebuild | 22 ++++++++++++++++++++++
 3 files changed, 34 insertions(+)

diff --git a/dev-ruby/totoridipjp/Manifest b/dev-ruby/totoridipjp/Manifest
new file mode 100644
index 0000000..c4c77d1
--- /dev/null
+++ b/dev-ruby/totoridipjp/Manifest
@@ -0,0 +1 @@
+DIST totoridipjp-0.1.0.gem 7168 SHA256 
93d1245c5273971c855b506a7a913d23d6f524e9d7d4494127ae1bc6174c910d SHA512 
5298fe39b0705a0b913f7f6cad452be48480a6832e9451d86a7fe9a1248fe893a76af2f56c0bd6d3a65c756d4ed3fd29b4483ef82beeccfc78dcf9dbf43ed748
 WHIRLPOOL 
1c191cddf29755e31a6d21884f60647b91a5099e7a31a24c243f56cc9ca59d8ca05820fe6ab695698e7a7392b370f1c6266861912126eb6986dc06c95f0f4f27

diff --git a/dev-ruby/totoridipjp/metadata.xml 
b/dev-ruby/totoridipjp/metadata.xml
new file mode 100644
index 0000000..46ded82
--- /dev/null
+++ b/dev-ruby/totoridipjp/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <herd>ruby</herd>
+       <maintainer>
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               <remote-id type="rubygems">delayer-deferred</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/totoridipjp/totoridipjp-0.1.0.ebuild 
b/dev-ruby/totoridipjp/totoridipjp-0.1.0.ebuild
new file mode 100644
index 0000000..b7ef079
--- /dev/null
+++ b/dev-ruby/totoridipjp/totoridipjp-0.1.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+DESCRIPTION="A ruby binding to use totori.dip.jp Web API"
+HOMEPAGE="https://rubygems.org/gems/totoridipjp";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       rm -fvr bin/ || die
+}

Reply via email to